Operation.OperationType (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql

## Enum Operation.OperationType

- java.lang.Object
- - java.lang.Enum<Operation.OperationType>
  - - org.apache.cassandra.cql.Operation.OperationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Operation.OperationType>
  Enclosing class:
    Operation

      public static enum Operation.OperationType
      extends java.lang.Enum<Operation.OperationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MINUS`
    `PLUS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operation.OperationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Operation.OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLUS

          public static final Operation.OperationType PLUS

    - #### MINUS

          public static final Operation.OperationType MINUS

  - ### Method Detail

    - #### values

          public static Operation.OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operation.OperationType c : Operation.OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operation.OperationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 The Apache Software Foundation